BimpДовідка

Переміщення запасів: методи API Bimp

Методи API Bimp для ресурсу «Переміщення запасів» (/org2/movementOfInventories/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/movementOfInventories/api-readA request to obtain detailed information for a particular movement of inventories document
POST /org2/movementOfInventories/api-readListA request to view a list of movement of inventories documents
POST /org2/movementOfInventories/api-createA request to create a new movement of inventories document
POST /org2/movementOfInventories/api-updateA request to update an existing movement of inventories document
POST /org2/movementOfInventories/api-cancelCancel a movement of inventories document

api-read

POST /org2/movementOfInventories/api-read

A request to obtain detailed information for a particular movement of inventories document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for a movement of inventories document
numberstringThe number of the movement of inventories document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
archivedboolean
operationTypenumber
toWarehousestring (uuid)
fromWarehousestring (uuid)
authorstring (uuid)
organizationstring (uuid)
statusnumber
processingbooleanAn informational flag marking the document as related to tolling (processing)
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/movementOfInventories/api-readList

A request to view a list of movement of inventories documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
filtersobject
filters.namestring
filters.commentstring
filters.showArchivedboolean
filters.organizationobject[]
filters.organization[].uuidstring (uuid)так
filters.toWarehouseobject[]
filters.toWarehouse[].uuidstring (uuid)так
filters.fromWarehouseobject[]
filters.fromWarehouse[].uuidstring (uuid)так
filters.authorobject[]
filters.author[].uuidstring (uuid)так
filters.operationTypeobject[]
filters.operationType[].uuidnumberтак
filters.statusobject[]
filters.status[].uuidnumberтак
filters.dateobject[]

Відповідь: поле data

ПолеТипОпис
rowsobject[]
rows[].uuidstring (uuid)A unique uuid key for a movement of inventories document
rows[].numberstringThe number of the movement of inventories document
rows[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
rows[].commentstringAn optional text field for any additional notes or comments related to the document
rows[].archivedboolean
rows[].operationTypenumber
rows[].toWarehousestring (uuid)
rows[].fromWarehousestring (uuid)
rows[].authorstring (uuid)
rows[].organizationstring (uuid)
rows[].statusnumber
rows[].processingbooleanAn informational flag marking the document as related to tolling (processing)
rows[].counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
totalnumber
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/movementOfInventories/api-create

A request to create a new movement of inventories document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
namestringDocument name
numberstringThe document’s number. Use this field if you need to specify a custom number
authorstring (uuid)такA unique identifier for the Author, obtainable from the /user/api-readList request
responsibleEmployeestringA unique identifier for the Employee, obtainable from the /employee/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
fromWarehousestring (uuid)такA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
toWarehousestring (uuid)такA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
operationTypenumberтакOperation type (0 - To warehouse, 1 - On the way, 2 - Cost price)
responsibleSenderstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
responsibleReceiverstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusnumberDocument status (0 - Completed, 1 - Application)
baseDocumentstring (uuid)UUID of base document
commentstringAn optional text field for any additional notes or comments related to the document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
processingbooleanAn informational flag marking the document as related to tolling (processing)
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
productsobject[]
products[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].countnumberтакA numerical value representing the quantity of the product
products[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].invoicestring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"author":"00000000-0000-0000-0000-000000000000","fromWarehouse":"00000000-0000-0000-0000-000000000000","toWarehouse":"00000000-0000-0000-0000-000000000000","operationType":1}'

api-update

POST /org2/movementOfInventories/api-update

A request to update an existing movement of inventories document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такDocument UUID
namestringDocument name
numberstringThe document’s number. Use this field if you need to specify a custom number
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
responsibleEmployeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
fromWarehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
toWarehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
operationTypenumberOperation type (0 - To warehouse, 1 - On the way, 2 - Cost price)
responsibleSenderstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
responsibleReceiverstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusnumberDocument status (0 - Completed, 1 - Application)
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
processingbooleanAn informational flag marking the document as related to tolling (processing)
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
baseDocumentstring (uuid)UUID of base document
commentstringAn optional text field for any additional notes or comments related to the document
productsobject[]
products[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].countnumberтакA numerical value representing the quantity of the product
products[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].invoicestring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-cancel

POST /org2/movementOfInventories/api-cancel

Cancel a movement of inventories document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the movement of inventories document

Відповідь: поле data

ПолеТипОпис
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-cancel' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.